Html Converter broken with latest chromium

Skip Navigation LinksHome  /  Support  /  Forums  /  DynamicPDF Converter for .NET (v3)  /  Html Converter broken with latest chromium

DynamicPDF Converter for .NET (v3) Forum

The  ceTe.DynamicPDF.HtmlConverter.NET package seems to be incompatible with the latest version of chromium.

When running the converter it seems to be generating requests to "/json/new" which are failing with 405 - Method not allowed
ceTe.DynamicPDF.HtmlConverter.NET is version 1.10.0

Environment:
Debian: 11.0
chromium: 112.0.5615.138-1~deb11u1
Posted by a ceTe Software moderator
Hi,

Yes, this is known issue and due to change in latest chromium process. It stopped supporting the GET method. Please try using an older version of Chromium or the internal one which our API extracts on the system.

Thanks,
ceTe Software Support Team
Hi

Thank you for your prompt response.

Are there any plans to make the library compatible with newer chromium versions.  Whilst installing older versions is possible, they have been dropped from linux repositories so it makes it more difficult and introduces security concerns.

Are there any reference resources regarding the internal chromium extraction and how it can be utilised?
 
Thanks, Connor
Posted by a ceTe Software moderator
Hi,

Yes, we plan to support the latest Chromium but since this is complicated, it may take some time. We will post an update on this forum once this is implemented in the DynamicPDF Converter product.

DynamicPDF Converter extracts the Chromium files internally by default on Windows systems, so this issue will only affect Linux OSs.

Thanks,
ceTe Software Support Team

All times are US Eastern Standard time. The time now is 11:30 PM.